assetmgrmodel::AssetStrip_2_0_5::RackUnitInfo Struct Reference

Infos for a single rack unit. More...

`import"AssetStrip.idl";`

## Public Attributes

int | rackUnitNumber
| rack unit for the settings, range 0..rackUnitCount-1
int | rackUnitPosition
| resulting rack unit position (display number)
TagType | type
| type of the asset tag (single, extension, none or unknown)
int | size
| blade extension size (4,8,16), 1 for single tags or 0 if nothing connected
AssetStripConfig_1_0_1::RackUnitSettings | settings
| settings for a single rack unit
int | assetStripCascadePosition
| number of strip in cascade
int | rackUnitRelativePosition
| relative position to strip
int | assetStripNumberOfRackUnits
| number of rack units in strip that this rack unit belongs to

## Detailed Description

Infos for a single rack unit.

In case no asset strip is connected, type defaults to single and size defaults to 1

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/AssetStrip.idl